Chinaunix首页 | 论坛 | 博客
  • 博客访问: 946445
  • 博文数量: 58
  • 博客积分: 10192
  • 博客等级: 上将
  • 技术积分: 1845
  • 用 户 组: 普通用户
  • 注册时间: 2010-11-22 21:24
文章分类

全部博文(58)

文章存档

2011年(11)

2010年(12)

2009年(20)

2008年(15)

分类: LINUX

2009-12-16 14:00:44

下午敲代码时发现从console启动gvim时,总是在console中出现类似:
** (gvim:3161): CRITICAL **: gtk_form_set_static_gravity: assertion `static_gravity_supported' failed
的警告,虽然不影响使用,但是我在gvim中的每一次操作都引出这么一堆警告,看着心烦,在网上搜了一个解决方法,现记录于下。

我的机器环境:kubuntu9.10 使用apt-get安装的gvim7.2

首先将下面的源添加到/etc/apt/sources.list
deb karmic main
deb-src karmic main

然后随便进入一个文件夹,输入
vi key
将下面的内容复制进去
-----BEGIN PGP PUBLIC KEY BLOCK-----
Version: SKS 1.0.10

mI0EStwumQEEALZWmSxdQpavSde5mh2aL9CKIvf9cwsOI8Li9RRjE9uaqjcDfzBgj52BvByO
k8RsOhlueiX3mZhmA8+u261J47n5xLR9meHg2ouihonAPSq9PoMCL4kBUinqREpjpzQsuMDf
9jqFC84a/ipeagY3rL88f9mTjJMeCyBim0vvt2WbABEBAAG0HUxhdW5jaHBhZCBQUEEgZm9y
IEplcmVteSBLZXJyiLYEEwECACAFAkrcLpkCGwMGCwkIBwMCBBUCCAMEFgIDAQIeAQIXgAAK
CRA0ixRvr7dns/IaBACI6aPD76r83H/TIfeSDtsYjZLUgwJUmpZfNdzfwV/pPZFzClJZBJ2U
MQYzo4qhGd+Z8x1O1+NX/DUMOjZVozUoHm0bRJjxNHzGGNzr1cP3in6pH811+EHHcm1+wl3E
CzHxL1Coy5x8pl91nb0OYarYpAKkyx9LkmR3RL4LsCt+uw==
=XMAz
-----END PGP PUBLIC KEY BLOCK-----

然后保存退出

之后启动 软件源管理(software sources)->身份验证->导入密钥文件
选择刚才的key,退出

然后在控制台输入:
sudo apt-get update
sudo apt-get dist-upgrade
问题解决~~
阅读(2547) | 评论(1) | 转发(0) |
给主人留下些什么吧!~~

chinaunix网友2010-04-24 02:01:18

谢谢